<!DOCTYPE html>
<html class="writer-html5" lang="[en]" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>consumption_countries module &mdash; Group 03 - Energy Data Analysis - Advanced Programming 0.1 documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="download_file module" href="download_file.html" />
    <link rel="prev" title="consumption_chart module" href="consumption_chart.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> Group 03 - Energy Data Analysis - Advanced Programming
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">functions</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="consumption_chart.html">consumption_chart module</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">consumption_countries module</a></li>
<li class="toctree-l2"><a class="reference internal" href="download_file.html">download_file module</a></li>
<li class="toctree-l2"><a class="reference internal" href="enrich.html">enrich module</a></li>
<li class="toctree-l2"><a class="reference internal" href="gapminder.html">gapminder module</a></li>
<li class="toctree-l2"><a class="reference internal" href="gdp_countries_chart.html">gdp_countries_chart module</a></li>
<li class="toctree-l2"><a class="reference internal" href="list_countries.html">list_countries module</a></li>
<li class="toctree-l2"><a class="reference internal" href="plot_emissions.html">plot_emissions module</a></li>
<li class="toctree-l2"><a class="reference internal" href="prediction.html">prediction module</a></li>
<li class="toctree-l2"><a class="reference internal" href="scatter_emission_consumption.html">scatter_emission_consumption module</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Group 03 - Energy Data Analysis - Advanced Programming</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="modules.html">functions</a> &raquo;</li>
      <li>consumption_countries module</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/consumption_countries.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-consumption_countries">
<span id="consumption-countries-module"></span><h1>consumption_countries module<a class="headerlink" href="#module-consumption_countries" title="Permalink to this headline"></a></h1>
<p>Created on Thu Mar 17 01:32:08 2022</p>
<p>&#64;author: group_03</p>
<dl class="py function">
<dt class="sig sig-object py" id="consumption_countries.consumption_countries">
<span class="sig-prename descclassname"><span class="pre">consumption_countries.</span></span><span class="sig-name descname"><span class="pre">consumption_countries</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">listCountries</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">comparison</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#consumption_countries.consumption_countries" title="Permalink to this definition"></a></dt>
<dd><p>Compares the total consumption of energy of each of the chosen countries througout the years by ploting a line graph</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>listCountries</strong> (<em>list</em>) -- A list of counties</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>None</p>
</dd>
</dl>
</dd></dl>

</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="consumption_chart.html" class="btn btn-neutral float-left" title="consumption_chart module" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="download_file.html" class="btn btn-neutral float-right" title="download_file module" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2022, Ana Margarida Pimentel de Morais, Francesca Fontanesi, Daniele Gamberoni, Federico Maria Brignoli.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>